package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchCollectorVersionLogApi;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.AddSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.DeleteSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.EditSchCollectorVersionLogDTO;
import com.docus.server.service.ISchCollectorVersionLogService;
import com.docus.server.vo.scheduling.management.schcollectorversionlog.SchCollectorVersionLogVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 采集器版本更新日志管理 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "采集器版本更新日志管理接口", tags = "采集器版本更新日志管理接口")
@RestController
public class SchCollectorVersionLogController implements SchCollectorVersionLogApi {
    @Resource
    private ISchCollectorVersionLogService iSchCollectorVersionLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public SchCollectorVersionLogVO findById(String id) {
        return iSchCollectorVersionLogService.findById(id);
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<SchCollectorVersionLogVO> search(SearchDTO searchDTO) {
        return iSchCollectorVersionLogService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addSchCollectorVersionLogDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @Override
    public boolean add(AddSchCollectorVersionLogDTO addSchCollectorVersionLogDTO) {
        return iSchCollectorVersionLogService.add(addSchCollectorVersionLogDTO);
    }

    /**
     * 编辑
     *
     * @param editSchCollectorVersionLogDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @Override
    public boolean edit(EditSchCollectorVersionLogDTO editSchCollectorVersionLogDTO) {
        return iSchCollectorVersionLogService.edit(editSchCollectorVersionLogDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionLogDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteSchCollectorVersionLogDTO deleteSchCollectorVersionLogDTO) {
        return iSchCollectorVersionLogService.delete(deleteSchCollectorVersionLogDTO);
    }
}
