package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollector;

import java.util.List;

/**
 * 采集器管理 数据访问接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectorDao extends IBaseDao<SchCollector> {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollector findById(String id);

    /**
     * 新增
     *
     * @param schCollector 新增参数
     * @return 成功或失败
     */
    boolean add(SchCollector schCollector);

    /**
     * 编辑
     *
     * @param schCollector 编辑参数
     * @return 成功或失败
     */
    boolean edit(SchCollector schCollector);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    int delete(List<Long> ids);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollector> search(SearchDTO searchDTO);

}
