package com.docus.server.common.netty.server;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * netty服务端配置
 */
@Data
@Component
@ConfigurationProperties(prefix = NettyServerProperties.PREFIX)
public class NettyServerProperties {

    public static final String PREFIX = "netty.server";

    // 读空闲等待时间
    private int readerIdleTimeSeconds = 30;

    // 写空闲等待时间
    private int writerIdleTimeSeconds;

    // 读写空闲等待时间
    private int allIdleTimeSeconds;

    private Integer port;

    private int bossThreadCount;

    private int workerThreadCount;
}
