package com.docus.server.record.common.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案基本信息
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TBasic对象", description = "病案基本信息")
public class TBasic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "病案号")
    @TableField("inpatientNo")
    private String inpatientNo;

    @ApiModelProperty(value = "住院ID号")
    private String admissId;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "盘号")
    private String ph;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄_岁")
    private Integer age;

    @ApiModelProperty(value = "年龄_月")
    private Integer ageMonth;

    @ApiModelProperty(value = "年龄_天")
    private Integer ageDay;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "手机号码")
    private String telphone;

    @ApiModelProperty(value = "住院日期")
    private Date admissDate;

    @ApiModelProperty(value = "住院科室")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "实际住院天数")
    private Integer admissDays;

    @ApiModelProperty(value = "主管医生")
    private String attending;

    @ApiModelProperty(value = "主管医生名称")
    private String attendingName;

    @ApiModelProperty(value = "主要诊断编码")
    private String mainDiagCode;

    @ApiModelProperty(value = "主要诊断名称")
    private String mainDiagName;

    @ApiModelProperty(value = "主要手术编码")
    private String mainOperateCode;

    @ApiModelProperty(value = "主要手术名称")
    private String mainOperateName;

    @ApiModelProperty(value = "是否死亡")
    private Integer isDead;

    @ApiModelProperty(value = "是否作废(0：否，1：是)")
    private Integer isCancel;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "是否归档 1：已归档，0：未归档")
    private Integer isArchive;

    @ApiModelProperty(value = "归档时间")
    private Date archiveTime;

    @ApiModelProperty(value = "文件来源 1:af_archive_detail,2:t_scan_assort")
    private Integer fileSource;

    @ApiModelProperty(value = "完整性描述")
    private String integrityDesc;

    private String bColumn1;

    private String bColumn2;

    private String bColumn3;

    private String bColumn4;

    private String bColumn5;

    private Integer bColumn6;

    private Integer bColumn7;

    private Integer bColumn8;

    private Integer bColumn9;

    private Integer bColumn10;

    @ApiModelProperty(value = "姓名缩写（内部构成）")
    private String nameSpell;

    @ApiModelProperty(value = "性别名称")
    private String sexName;

    @ApiModelProperty(value = "记账号")
    private String jzh;

    @ApiModelProperty(value = "床位号")
    private String bedNum;

    @ApiModelProperty(value = "责任护士")
    private String dutyNurse;
}
