package com.docus.server.api.collector.update;

import com.docus.server.vo.collector.update.CollectorUpdateVersionVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletResponse;


/**
 * 采集器更新 API
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@FeignClient(value = "docus-collector-update", contextId = "docus-collector-update.CollectorUpdateApi")
@RequestMapping("/collector/update")
public interface CollectorUpdateApi {

    /**
     * 采集器版本号
     */
    @GetMapping("/find")
    CollectorUpdateVersionVO find() throws Exception;

    /**
     * 采集器部署包下载
     */
    @GetMapping("/download")
    void downloadFile(HttpServletResponse response) throws Exception;

}
