package com.docus.server.api.scheduling.management;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schsystemparams.AddSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.DeleteSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.EditSchSystemParamsDTO;
import com.docus.server.vo.scheduling.management.schsystemparams.SchSystemParamsVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;


/**
 * 系统参数表 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */

@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchSystemParamsApi")
@RequestMapping("/sch/systemParams")
public interface SchSystemParamsApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */

    @GetMapping("/find/{id}")
    SchSystemParamsVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */

    @PostMapping("/search")
    PageResult<SchSystemParamsVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchSystemParamsDTO 新增参数
     * @return 成功或失败
     */

    @PostMapping("/add")
    boolean add(@RequestBody AddSchSystemParamsDTO addSchSystemParamsDTO);

    /**
     * 编辑
     *
     * @param editSchSystemParamsDTO 编辑参数
     * @return 成功或失败
     */

    @PutMapping("/edit")
    boolean edit(@RequestBody EditSchSystemParamsDTO editSchSystemParamsDTO);

    /**
     * 批量删除
     *
     * @param deleteSchSystemParamsDTO 删除参数
     * @return 成功或失败
     */

    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchSystemParamsDTO deleteSchSystemParamsDTO);
}
