package com.docus.server.api.scheduling.management;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schterminator.AddSchTerminatorDTO;
import com.docus.server.dto.scheduling.management.schterminator.DeleteSchTerminatorDTO;
import com.docus.server.dto.scheduling.management.schterminator.EditSchTerminatorDTO;
import com.docus.server.vo.scheduling.management.schterminator.SchTerminatorVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;


/**
 * 执行管理器 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */

@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchTerminatorApi")
@RequestMapping("/sch/terminator")
public interface SchTerminatorApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */

    @GetMapping("/find/{id}")
    SchTerminatorVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */

    @PostMapping("/search")
    PageResult<SchTerminatorVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchTerminatorDTO 新增参数
     * @return 成功或失败
     */

    @PostMapping("/add")
    boolean add(@RequestBody AddSchTerminatorDTO addSchTerminatorDTO);

    /**
     * 编辑
     *
     * @param editSchTerminatorDTO 编辑参数
     */

    @PutMapping("/edit")
    void edit(@RequestBody EditSchTerminatorDTO editSchTerminatorDTO);

    /**
     * 批量删除
     *
     * @param deleteSchTerminatorDTO 删除参数
     * @return 成功或失败
     */

    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchTerminatorDTO deleteSchTerminatorDTO);

}
