package com.docus.server.api.scheduling.management;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schvirtuallog.AddSchVirtualLogDTO;
import com.docus.server.dto.scheduling.management.schvirtuallog.DeleteSchVirtualLogDTO;
import com.docus.server.dto.scheduling.management.schvirtuallog.EditSchVirtualLogDTO;
import com.docus.server.vo.scheduling.management.schvirtuallog.SchVirtualLogVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;


/**
 * 虚拟机使用情况 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */

@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchVirtualLogApi")
@RequestMapping("/sch/virtualLog")
public interface SchVirtualLogApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */

    @GetMapping("/find/{id}")
    SchVirtualLogVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */

    @PostMapping("/search")
    PageResult<SchVirtualLogVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchVirtualLogDTO 新增参数
     * @return 成功或失败
     */

    @PostMapping("/add")
    void add(@RequestBody AddSchVirtualLogDTO addSchVirtualLogDTO);

    /**
     * 编辑
     *
     * @param editSchVirtualLogDTO 编辑参数
     * @return 成功或失败
     */

    @PutMapping("/edit")
    void edit(@RequestBody EditSchVirtualLogDTO editSchVirtualLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchVirtualLogDTO 删除参数
     * @return 成功或失败
     */

    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchVirtualLogDTO deleteSchVirtualLogDTO);
}
