package com.docus.server.api.segmentation;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrcutconfigtest.AddOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.DeleteOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.EditOcrCutConfigTestDTO;
import com.docus.server.vo.segmentation.ocrcutconfigtest.OcrCutConfigTestVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * ocr图片剪切配置-调试 API
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@FeignClient(value = "docus-segmentation", contextId = "docus-segmentation.OcrCutConfigTestApi")
@RequestMapping("/ocr/CutConfigTest")
public interface OcrCutConfigTestApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @GetMapping("/find/{id}")
    OcrCutConfigTestVO findById(@PathVariable(value = "id") Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    @GetMapping("/findAll")
    List<OcrCutConfigTestVO> findAll();

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @PostMapping("/search")
    PageResult<OcrCutConfigTestVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addOcrCutConfigTestDTO 新增参数
     */
    @PostMapping("/add")
    void add(@RequestBody AddOcrCutConfigTestDTO addOcrCutConfigTestDTO);

    /**
     * 编辑
     *
     * @param editOcrCutConfigTestDTO 编辑参数
     */
    @PutMapping("/edit")
    void edit(@RequestBody EditOcrCutConfigTestDTO editOcrCutConfigTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigTestDTO 删除参数
     * @return 成功或失败
     */
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteOcrCutConfigTestDTO deleteOcrCutConfigTestDTO);
}
