package com.docus.server.api.segmentation;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrspecialdetail.AddOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.DeleteOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.EditOcrSpecialDetailDTO;
import com.docus.server.vo.segmentation.ocrspecialdetail.OcrSpecialDetailVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * 特殊规则详情 API
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
@FeignClient(value = "docus-segmentation", contextId = "docus-segmentation.OcrSpecialDetailApi")
@RequestMapping("/ocr/SpecialDetail")
public interface OcrSpecialDetailApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @GetMapping("/find/{id}")
    OcrSpecialDetailVO findById(@PathVariable(value = "id") Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    @GetMapping("/findAll")
    List<OcrSpecialDetailVO> findAll();

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @PostMapping("/search")
    PageResult<OcrSpecialDetailVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addOcrSpecialDetailDTO 新增参数
     */
    @PostMapping("/add")
    void add(@RequestBody AddOcrSpecialDetailDTO addOcrSpecialDetailDTO);

    /**
     * 编辑
     *
     * @param editOcrSpecialDetailDTO 编辑参数
     */
    @PutMapping("/edit")
    void edit(@RequestBody EditOcrSpecialDetailDTO editOcrSpecialDetailDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialDetailDTO 删除参数
     * @return 成功或失败
     */
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteOcrSpecialDetailDTO deleteOcrSpecialDetailDTO);
}
