package com.docus.server.api.segmentation;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.zdassort.AddZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.DeleteZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.EditZdAssortDTO;
import com.docus.server.vo.segmentation.zdassort.ZdAssortVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;


/**
 * 病案分类 API
 *
 * @author AutoGenerator
 * @since 2023-08-30
 */
@FeignClient(value = "docus-segmentation", contextId = "docus-segmentation.ZdAssortApi")
@RequestMapping("/ocr/zdAssort")
public interface ZdAssortApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @GetMapping("/find/{id}")
    ZdAssortVO findById(@PathVariable(value = "id") Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    @GetMapping("/findAll")
    List<ZdAssortVO> findAll();

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @PostMapping("/search")
    PageResult<ZdAssortVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addZdAssortDTO 新增参数
     */
    @PostMapping("/add")
    void add(@RequestBody AddZdAssortDTO addZdAssortDTO);

    /**
     * 编辑
     *
     * @param editZdAssortDTO 编辑参数
     */
    @PutMapping("/edit")
    void edit(@RequestBody EditZdAssortDTO editZdAssortDTO);

    /**
     * 批量删除
     *
     * @param deleteZdAssortDTO 删除参数
     * @return 成功或失败
     */
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteZdAssortDTO deleteZdAssortDTO);
}
