package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统参数表
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sch_system_params")
@ApiModel(value = "SchSystemParams对象", description = "系统参数表")
public class SchSystemParams implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "父主键")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "系统参数编号")
    @TableField("param_code")
    private String paramCode;

    @ApiModelProperty(value = "系统参数名称")
    @TableField("param_name")
    private String paramName;

    @ApiModelProperty(value = "系统参数说明，如说明参数值得格式要求")
    @TableField("param_info")
    private String paramInfo;

    @ApiModelProperty(value = "系统参数值")
    @TableField("param_value")
    private String paramValue;

    @ApiModelProperty(value = "系统参数分组")
    @TableField("param_group")
    private String paramGroup;

    @ApiModelProperty(value = "排序号，用于分组内排序")
    @TableField("sort_no")
    private Integer sortNo;

    @ApiModelProperty(value = "是否需要加密，0：不需要，1：需要")
    @TableField("need_encrypt")
    private String needEncrypt;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
