package com.docus.server.entity.segmentation;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 患者信息表-调试
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("ocr_basic_test")
@ApiModel(value="OcrBasicTest对象", description="患者信息表-调试")
public class OcrBasicTest implements Serializable {

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "病案主键")
    @TableField("patient_id")
    private String patientId;

    @ApiModelProperty(value = "病案号")
    @TableField("inpatient_no")
    private String inpatientNo;

    @ApiModelProperty(value = "患者姓名")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "住院日期")
    @TableField("admiss_date")
    private Date admissDate;

    @ApiModelProperty(value = "住院科室")
    @TableField("admiss_dept")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    @TableField("admiss_dept_name")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    @TableField("dis_date")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    @TableField("dis_dept")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    @TableField("dis_dept_name")
    private String disDeptName;

    @ApiModelProperty(value = "ocr状态 0未开始 1正在分段 2分段完成")
    @TableField("ocr_statue")
    private OcrStatusEnum ocrStatue;

    @ApiModelProperty(value = "分段完成时间")
    @TableField("ocr_finish_time")
    private Date ocrFinishTime;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private Date updateTime;


}
