package com.docus.server.vo.scheduling.management.schcollectorconfig;

import com.docus.server.enums.ConfigTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集器配置 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "SchCollectorConfigVO对象", description = "采集器配置")
public class SchCollectorConfigVO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "采集器Id")
    private Long collectorId;

    @ApiModelProperty(value = "采集器类型")
    private String collectorName;

    @ApiModelProperty(value = "配置类型，0：采集器公共配置，1：采集器私有配置")
    private ConfigTypeEnum configType;

    @ApiModelProperty(value = "配置参数")
    private String configJson;

    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
