package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrBasicTestApi;
import com.docus.server.dto.segmentation.ocrbasictest.AddOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.DeleteOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.EditOcrBasicTestDTO;
import com.docus.server.service.IOcrBasicTestService;
import com.docus.server.vo.segmentation.ocrbasictest.OcrBasicTestVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 患者信息表-调试 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "患者信息表-调试", tags = "患者信息表-调试")
@RestController
public class OcrBasicTestController implements OcrBasicTestApi {
    @Resource
    private IOcrBasicTestService iOcrBasicTestService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrBasicTestVO findById(Long id) {
        return iOcrBasicTestService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrBasicTestVO> findAll() {
        return iOcrBasicTestService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrBasicTestVO> search(SearchDTO searchDTO) {
        return iOcrBasicTestService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrBasicTestDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrBasicTestDTO addOcrBasicTestDTO) {
        iOcrBasicTestService.add(addOcrBasicTestDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrBasicTestDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrBasicTestDTO editOcrBasicTestDTO) {
        iOcrBasicTestService.edit(editOcrBasicTestDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrBasicTestDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrBasicTestDTO deleteOcrBasicTestDTO) {
        return iOcrBasicTestService.delete(deleteOcrBasicTestDTO);
    }
}
