package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrCutConfigApi;
import com.docus.server.dto.segmentation.ocrcutconfig.AddOcrCutConfigDTO;
import com.docus.server.dto.segmentation.ocrcutconfig.DeleteOcrCutConfigDTO;
import com.docus.server.dto.segmentation.ocrcutconfig.EditOcrCutConfigDTO;
import com.docus.server.service.IOcrCutConfigService;
import com.docus.server.vo.segmentation.ocrcutconfig.OcrCutConfigVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr图片剪切配置 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "ocr图片剪切配置", tags = "ocr图片剪切配置")
@RestController
public class OcrCutConfigController implements OcrCutConfigApi {
    @Resource
    private IOcrCutConfigService iOcrCutConfigService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrCutConfigVO findById(Long id) {
        return iOcrCutConfigService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrCutConfigVO> findAll() {
        return iOcrCutConfigService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrCutConfigVO> search(SearchDTO searchDTO) {
        return iOcrCutConfigService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrCutConfigDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrCutConfigDTO addOcrCutConfigDTO) {
        iOcrCutConfigService.add(addOcrCutConfigDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrCutConfigDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrCutConfigDTO editOcrCutConfigDTO) {
        iOcrCutConfigService.edit(editOcrCutConfigDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrCutConfigDTO deleteOcrCutConfigDTO) {
        return iOcrCutConfigService.delete(deleteOcrCutConfigDTO);
    }
}
