package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrCutConfigTestApi;
import com.docus.server.dto.segmentation.ocrcutconfigtest.AddOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.DeleteOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.EditOcrCutConfigTestDTO;
import com.docus.server.service.IOcrCutConfigTestService;
import com.docus.server.vo.segmentation.ocrcutconfigtest.OcrCutConfigTestVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr图片剪切配置-调试 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "ocr图片剪切配置-调试", tags = "ocr图片剪切配置-调试")
@RestController
public class OcrCutConfigTestController implements OcrCutConfigTestApi {
    @Resource
    private IOcrCutConfigTestService iOcrCutConfigTestService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrCutConfigTestVO findById(Long id) {
        return iOcrCutConfigTestService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrCutConfigTestVO> findAll() {
        return iOcrCutConfigTestService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrCutConfigTestVO> search(SearchDTO searchDTO) {
        return iOcrCutConfigTestService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrCutConfigTestDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrCutConfigTestDTO addOcrCutConfigTestDTO) {
        iOcrCutConfigTestService.add(addOcrCutConfigTestDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrCutConfigTestDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrCutConfigTestDTO editOcrCutConfigTestDTO) {
        iOcrCutConfigTestService.edit(editOcrCutConfigTestDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigTestDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrCutConfigTestDTO deleteOcrCutConfigTestDTO) {
        return iOcrCutConfigTestService.delete(deleteOcrCutConfigTestDTO);
    }
}
