package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrUrlConfigTestApi;
import com.docus.server.dto.segmentation.ocrurlconfigtest.AddOcrUrlConfigTestDTO;
import com.docus.server.dto.segmentation.ocrurlconfigtest.DeleteOcrUrlConfigTestDTO;
import com.docus.server.dto.segmentation.ocrurlconfigtest.EditOcrUrlConfigTestDTO;
import com.docus.server.service.IOcrUrlConfigTestService;
import com.docus.server.vo.segmentation.ocrurlconfigtest.OcrUrlConfigTestVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr路径配置表-调试 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "ocr路径配置表-调试", tags = "ocr路径配置表-调试")
@RestController
public class OcrUrlConfigTestController implements OcrUrlConfigTestApi {
    @Resource
    private IOcrUrlConfigTestService iOcrUrlConfigTestService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrUrlConfigTestVO findById(Long id) {
        return iOcrUrlConfigTestService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrUrlConfigTestVO> findAll() {
        return iOcrUrlConfigTestService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrUrlConfigTestVO> search(SearchDTO searchDTO) {
        return iOcrUrlConfigTestService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrUrlConfigTestDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrUrlConfigTestDTO addOcrUrlConfigTestDTO) {
        iOcrUrlConfigTestService.add(addOcrUrlConfigTestDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrUrlConfigTestDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrUrlConfigTestDTO editOcrUrlConfigTestDTO) {
        iOcrUrlConfigTestService.edit(editOcrUrlConfigTestDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrUrlConfigTestDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrUrlConfigTestDTO deleteOcrUrlConfigTestDTO) {
        return iOcrUrlConfigTestService.delete(deleteOcrUrlConfigTestDTO);
    }
}
