package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrfileinfo.AddOcrFileInfoDTO;
import com.docus.server.dto.segmentation.ocrfileinfo.DeleteOcrFileInfoDTO;
import com.docus.server.dto.segmentation.ocrfileinfo.EditOcrFileInfoDTO;
import com.docus.server.vo.segmentation.ocrfileinfo.OcrFileInfoVO;

import java.util.List;

/**
 * ocr文件信息 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrFileInfoService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrFileInfoVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrFileInfoVO> findAll();

    /**
     * 新增
     *
     * @param addOcrFileInfoDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrFileInfoDTO addOcrFileInfoDTO);

    /**
     * 编辑
     *
     * @param editOcrFileInfoDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrFileInfoDTO editOcrFileInfoDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrFileInfoDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrFileInfoDTO deleteOcrFileInfoDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrFileInfoVO> search(SearchDTO searchDTO);

    /**
     * 批量新增
     */
    void addBatch(List<AddOcrFileInfoDTO> files);
}
