package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrruletest.AddOcrRuleTestDTO;
import com.docus.server.dto.segmentation.ocrruletest.DeleteOcrRuleTestDTO;
import com.docus.server.dto.segmentation.ocrruletest.EditOcrRuleTestDTO;
import com.docus.server.entity.segmentation.OcrRuleResult;
import com.docus.server.vo.segmentation.ocrruletest.OcrRuleTestVO;

import java.util.List;

/**
 * 匹配策略表-调试 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrRuleTestService {

     /**
     * 判断是否命中分段规则
     * @param ocrTextList
     * @return
     */
     OcrRuleResult handleRule(List<String> ocrTextList);

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrRuleTestVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrRuleTestVO> findAll();

    /**
     * 新增
     *
     * @param addOcrRuleTestDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrRuleTestDTO addOcrRuleTestDTO);

    /**
     * 编辑
     *
     * @param editOcrRuleTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrRuleTestDTO editOcrRuleTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrRuleTestDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrRuleTestDTO deleteOcrRuleTestDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrRuleTestVO> search(SearchDTO searchDTO);

    void deleteAndAdd(List<EditOcrRuleTestDTO> editOcrRuleTestDTOList);
}
