package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrspecialrule.AddOcrSpecialRuleDTO;
import com.docus.server.dto.segmentation.ocrspecialrule.DeleteOcrSpecialRuleDTO;
import com.docus.server.dto.segmentation.ocrspecialrule.EditOcrSpecialRuleDTO;
import com.docus.server.entity.segmentation.OcrSpecialResult;
import com.docus.server.vo.segmentation.ocrspecialrule.OcrSpecialRuleVO;

import java.util.List;

/**
 * 特殊策略表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrSpecialRuleService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrSpecialRuleVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrSpecialRuleVO> findAll();

    /**
     * 新增
     *
     * @param addOcrSpecialRuleDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrSpecialRuleDTO addOcrSpecialRuleDTO);

    /**
     * 编辑
     *
     * @param editOcrSpecialRuleDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrSpecialRuleDTO editOcrSpecialRuleDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialRuleDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrSpecialRuleDTO deleteOcrSpecialRuleDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrSpecialRuleVO> search(SearchDTO searchDTO);

    boolean handleSpecialRuleEnd(OcrSpecialResult lastSpecialResul, List<String> ocrTextList);

    OcrSpecialResult handleSpecialRule(List<String> ocrTextList,Integer version);

}
