package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrurlconfigtest.AddOcrUrlConfigTestDTO;
import com.docus.server.dto.segmentation.ocrurlconfigtest.DeleteOcrUrlConfigTestDTO;
import com.docus.server.dto.segmentation.ocrurlconfigtest.EditOcrUrlConfigTestDTO;
import com.docus.server.vo.segmentation.ocrurlconfigtest.OcrUrlConfigTestVO;

import java.util.List;

/**
 * ocr路径配置表-调试 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrUrlConfigTestService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrUrlConfigTestVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrUrlConfigTestVO> findAll();

    /**
     * 新增
     *
     * @param addOcrUrlConfigTestDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrUrlConfigTestDTO addOcrUrlConfigTestDTO);

    /**
     * 编辑
     *
     * @param editOcrUrlConfigTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrUrlConfigTestDTO editOcrUrlConfigTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrUrlConfigTestDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrUrlConfigTestDTO deleteOcrUrlConfigTestDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrUrlConfigTestVO> search(SearchDTO searchDTO);
}
