package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.OcrCutConfigTestConvert;
import com.docus.server.dto.segmentation.ocrcutconfigtest.AddOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.DeleteOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.EditOcrCutConfigTestDTO;
import com.docus.server.entity.segmentation.OcrCutConfigTest;
import com.docus.server.infrastructure.dao.IOcrCutConfigTestDao;
import com.docus.server.service.IOcrCutConfigTestService;
import com.docus.server.vo.segmentation.ocrcutconfigtest.OcrCutConfigTestVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr图片剪切配置-调试 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Service
public class OcrCutConfigTestServiceImpl implements IOcrCutConfigTestService {
    @Resource
    private IOcrCutConfigTestDao iOcrCutConfigTestDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public OcrCutConfigTestVO findById(Long id) {
        return OcrCutConfigTestConvert.INSTANCE.convertVO(iOcrCutConfigTestDao.findById(id));
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @Override
    public List<OcrCutConfigTestVO> findAll() {
        return OcrCutConfigTestConvert.INSTANCE.convertVO(iOcrCutConfigTestDao.findAll());
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<OcrCutConfigTestVO> search(SearchDTO searchDTO) {
        return OcrCutConfigTestConvert.INSTANCE.convertVO(iOcrCutConfigTestDao.search(searchDTO));

        //PageResult<OcrCutConfigTestVO> result = OcrCutConfigTestConvert.INSTANCE.convertVO(iOcrCutConfigTestDao.search(searchDTO));

        //if (CollectionUtils.isEmpty(result.getList())) {
        //return new PageResult<>();
        //}

        //Map<String, SchSystemParams> map = iSchSystemParamsService.find(ListUtils.distinctSelect(result.getList(), SchCollectorVO::getCollectorId));

        //result.getList().forEach(p -> {
        // String collectorId = String.valueOf(p.getCollectorId());
        // if (map.containsKey(collectorId)) {
        //     p.setCollectorName(map.get(collectorId).getParamName());
        // }
        //});

        //return result;
    }

    /**
     * 新增
     *
     * @param addOcrCutConfigTestDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean add(AddOcrCutConfigTestDTO addOcrCutConfigTestDTO) {
        OcrCutConfigTest ocrCutConfigTest = OcrCutConfigTestConvert.INSTANCE.convertDO(addOcrCutConfigTestDTO);
        ocrCutConfigTest.setId(idService.getDateSeq());
        return iOcrCutConfigTestDao.add(ocrCutConfigTest);

        // String name = addOcrCutConfigTestDTO.getName();

        //OcrCutConfigTest ocrCutConfigTest = iOcrCutConfigTestDao.findOneBy("name", name);

        //if (Func.notNull(ocrCutConfigTest)) {
        // throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "ocr图片剪切配置-调试已经存在");
        // }

        // OcrCutConfigTest ocrCutConfigTest =OcrCutConfigTestConvert.INSTANCE.convertDO(addOcrCutConfigTestDTO);
        // ocrCutConfigTest.setId(idService.getDateSeq());

        // return iOcrCutConfigTestDao.add(schCollector);

    }

    /**
     * 编辑
     *
     * @param editOcrCutConfigTestDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean edit(EditOcrCutConfigTestDTO editOcrCutConfigTestDTO) {
        OcrCutConfigTest ocrCutConfigTest = OcrCutConfigTestConvert.INSTANCE.convertDO(editOcrCutConfigTestDTO);
        return iOcrCutConfigTestDao.edit(ocrCutConfigTest);

        // Long id = editOcrCutConfigTestDTO.getId();

        //  OcrCutConfigTest ocrCutConfigTest = iOcrCutConfigTestDao.findById(id);

        // if (Func.isNull(ocrCutConfigTest)) {
        //     throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "ocr图片剪切配置-调试，无法更新！");
        // }

        // ocrCutConfigTest.setUpdateTime(LocalDateTime.now());
        // return iOcrCutConfigTestDao.edit(ocrCutConfigTest);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigTestDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteOcrCutConfigTestDTO deleteOcrCutConfigTestDTO) {
        return iOcrCutConfigTestDao.delete(deleteOcrCutConfigTestDTO.getIds());
    }
}

