package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.ZdAssortConvert;
import com.docus.server.dto.segmentation.zdassort.AddZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.DeleteZdAssortDTO;
import com.docus.server.dto.segmentation.zdassort.EditZdAssortDTO;
import com.docus.server.entity.segmentation.ZdAssort;
import com.docus.server.infrastructure.dao.IZdAssortDao;
import com.docus.server.service.IZdAssortService;
import com.docus.server.vo.segmentation.zdassort.ZdAssortVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * 病案分类 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-08-30
 */
@Service
public class ZdAssortServiceImpl implements IZdAssortService {
    @Resource
    private IZdAssortDao iZdAssortDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public ZdAssortVO findById(Long id) {
        return ZdAssortConvert.INSTANCE.convertVO(iZdAssortDao.findById(id));
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @Override
    public List<ZdAssortVO> findAll() {
        return ZdAssortConvert.INSTANCE.convertVO(iZdAssortDao.findAll());
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<ZdAssortVO> search(SearchDTO searchDTO) {
        return ZdAssortConvert.INSTANCE.convertVO(iZdAssortDao.search(searchDTO));

        //PageResult<ZdAssortVO> result = ZdAssortConvert.INSTANCE.convertVO(iZdAssortDao.search(searchDTO));

        //if (CollectionUtils.isEmpty(result.getList())) {
        //return new PageResult<>();
        //}

        //Map<String, SchSystemParams> map = iSchSystemParamsService.find(ListUtils.distinctSelect(result.getList(), SchCollectorVO::getCollectorId));

        //result.getList().forEach(p -> {
        // String collectorId = String.valueOf(p.getCollectorId());
        // if (map.containsKey(collectorId)) {
        //     p.setCollectorName(map.get(collectorId).getParamName());
        // }
        //});

        //return result;
    }

    /**
     * 新增
     *
     * @param addZdAssortDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean add(AddZdAssortDTO addZdAssortDTO) {
        ZdAssort zdAssort = ZdAssortConvert.INSTANCE.convertDO(addZdAssortDTO);
//       zdAssort.setId(idService.getDateSeq());
        return iZdAssortDao.add(zdAssort);

        // String name = addZdAssortDTO.getName();

        //ZdAssort zdAssort = iZdAssortDao.findOneBy("name", name);

        //if (Func.notNull(zdAssort)) {
        // throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "病案分类已经存在");
        // }

        // ZdAssort zdAssort =ZdAssortConvert.INSTANCE.convertDO(addZdAssortDTO);
        // zdAssort.setId(idService.getDateSeq());

        // return iZdAssortDao.add(schCollector);

    }

    /**
     * 编辑
     *
     * @param editZdAssortDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean edit(EditZdAssortDTO editZdAssortDTO) {
        ZdAssort zdAssort = ZdAssortConvert.INSTANCE.convertDO(editZdAssortDTO);
        return iZdAssortDao.edit(zdAssort);

        // Long id = editZdAssortDTO.getId();

        //  ZdAssort zdAssort = iZdAssortDao.findById(id);

        // if (Func.isNull(zdAssort)) {
        //     throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "病案分类，无法更新！");
        // }

        // zdAssort.setUpdateTime(LocalDateTime.now());
        // return iZdAssortDao.edit(zdAssort);
    }

    /**
     * 批量删除
     *
     * @param deleteZdAssortDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteZdAssortDTO deleteZdAssortDTO) {
        return iZdAssortDao.delete(deleteZdAssortDTO.getIds());
    }
}

